Contributors mailing list archives

contributors@odoo-community.org

Re: Maintainer-quality-tools multiple quick changes

by
Tecnativa. S. L., Pedro M. Baeza
- 15/10/2015 08:50:03
As you say, that was only a warning, so I'm not sure that's the really reason for the failing. Can you point to the PR you're talking about?

Regards.

2015-10-15 10:37 GMT+02:00 Nemry, Jonathan <jonathan.nemry@acsone.eu>:
Dear community,

I'am a litle bit confuse with my recent pylint failed.
Actually I have proposed a pull request on 8.0 for a FIX and was very surprised to see that Pylint failed with 

[W0402(deprecated-module), ] Uses of a deprecated module 'openerp.osv'

Because many files have "from openerp.osv import orm"
Moreover it was very not clear to know what was the reason why pylint failed (it was included into many other warnings...)

So what should I do with my pull request knowing it was just a quick-8.0-fix and it turns into a laborious modification "just" to make Pylint happy...

Should't we be more carefull with the merging changes into the "maintainer-quality-tools" (for exemple a stronger "need-reviews" rules) as we know it implies a truly cosmic scope

Best regards,

Jonathan

_______________________________________________
Mailing-List: http://odoo-community.org/groups/contributors-15
Post to: mailto:contributors@odoo-community.org
Unsubscribe: http://odoo-community.org/groups?unsubscribe